Overview
POST
/persona/services/{id}/connectpersonaTest the connection — probe the provider, persist status + cache the catalog
Create a record in connect.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Persona service (redacted)
- idstring
- templateIdoptionalstring?
- providerKindstring
- namestring
- baseUrlstring
- hasApiKeyboolean
- connectStatusstring
- connectErroroptionalstring?
- lastConnectedAtoptionalstring?
- documentationUrloptionalstring?
- statusUrloptionalstring?
- modelsPersonaServiceModel[]
- modelsFetchedAtoptionalstring?
Example
{
"id": "string",
"templateId": "string",
"providerKind": "string",
"name": "string",
"baseUrl": "string",
"hasApiKey": true,
"connectStatus": "string",
"connectError": "string",
"lastConnectedAt": "string",
"documentationUrl": "string",
"statusUrl": "string",
"models": [
"string"
],
"modelsFetchedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/persona/services/{id}/connect" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/services/{id}/connect", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();